Index: docs/en_US/editgrid.html
===================================================================
--- docs/en_US/editgrid.html	(revision 7069)
+++ docs/en_US/editgrid.html	(working copy)
@@ -46,9 +46,38 @@
 <P>
 You can select one or more rows, and copy them with Ctrl-C or the Copy
 toolbar button to the clipboard.
-</P><P>
+</P>
+<P>
 The Sort/Filter toolbar button will open the <A
 href=gridopts.html>View Data Options</A> dialog. 
 </P>
+<P>
+The right-click could also be used to Sort / Filter the data-set. When 
+right-clicked on a given cell, the following options allow the user to 
+selectively view the data-set:
+<ul>
+<li><i>Filter by Selection</i>: When selected, refreshes the data-set and displays
+only those rows, whose given column value matches the value as in the column 
+currently selected.</li>
+<li><i>Exclude by Selection</i>: When selected, refreshes the data-set and 
+excludes those rows, whose given column value matches the value as in the column 
+currently selected.</li>
+<li><i>Remove Filter</i>: When selected, removes all selection / exclusion 
+filter conditions.</li>
+<li><i>Sort Ascending</i>: When selected, refreshes the data-set and displays
+the currently selected rows in the ascending order (of the selected column). 
+In case a sorting preference is already present for this data-set, this sorting 
+preference is appended to the current sort order.</li>
+<li><i>Sort Descending</i>: When selected, refreshes the data-set and displays
+the currently selected rows in the descending order (of the selected column). 
+In case a sorting preference is already present for this data-set, this sorting 
+preference is appended to the current sort order.</li>
+<li><i>Remove Filter</i>: When selected, removes all sorting preferences for 
+this data-set.</li>
+</ul>
+(In case sorting preference (for a given column) is selected more than once,
+the sorting priority remains, however, the latest sorting preference 
+(i.e. ASC or DESC) is considered.)
+</P>
 </BODY>
 </HTML>
